List Invoices

View as Markdown
List invoices for an account with pagination. Works for both User and API Key authentication. Account access is automatically validated via endpoint dependency.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequired

Query parameters

limitintegerOptional1-100Defaults to 50
Number of items per page
offsetintegerOptional>=0Defaults to 0
Number of items to skip
filterstring or objectOptional
Filter conditions as a JSON string or object. All fields are optional. - `customer_id` (string) - `subscription_id` (string) - `payment_intent_id` (string) - `status` (string) - `currency` (string) - `billing_reason` (string) - `total_amount_atom` (integer | number | object) - `created_at` (string | object) - `collection_method` (string) - `customer` (string)
sortBystring or nullOptional
Field to sort by
sortOrderintegerOptionalDefaults to -1

Sort order: 1 for ascending, -1 for descending

searchstring or nullOptional

Keyword-based search across multiple fields

expandlist of strings or nullOptional

Fields to expand (e.g. custom_fields)

Response

Successful Response
itemslist of objects
totalinteger
has_moreboolean

Errors

422
Unprocessable Entity Error